• Hello everyone.
    Im not able to load kopano-backup, i got error with some version of python:
    This is with Python 3.7.3:

    Traceback (most recent call last):
      File "/usr/sbin/kopano-backup", line 4, in <module>
        import kopano_backup
      File "/usr/lib/python3/dist-packages/kopano_backup/__init__.py", line 23, in <module>
        import bsddb3 as bsddb
      File "/usr/lib/python3/dist-packages/bsddb3/__init__.py", line 47, in <module>
        from . import _pybsddb
    ImportError: cannot import name '_pybsddb' from 'bsddb3' (/usr/lib/python3/dist-packages/bsddb3/__init__.py)
    

    This with Python 3.8.2

    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/MAPICore.py", line 14, in swig_import_helper
        return importlib.import_module(mname)
      File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
      File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
      File "<frozen importlib._bootstrap>", line 991, in _find_and_load
      File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
    ModuleNotFoundError: No module named '_MAPICore'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/sbin/kopano-backup", line 4, in <module>
        import kopano_backup
      File "/usr/lib/python3/dist-packages/kopano_backup/__init__.py", line 27, in <module>
        from MAPI import (
      File "/usr/lib/python3/dist-packages/MAPI/__init__.py", line 4, in <module>
        from MAPICore import *
      File "/usr/lib/python3/dist-packages/MAPICore.py", line 17, in <module>
        _MAPICore = swig_import_helper()
      File "/usr/lib/python3/dist-packages/MAPICore.py", line 16, in swig_import_helper
        return importlib.import_module('_MAPICore')
      File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
    ModuleNotFoundError: No module named '_MAPICore'
    

    Please help me im witouth backup atm !


  • What command you exactly execute?
    What version of Kopano you have installed?
    And on what plattform/system you have kopano installed?


  • i execute simple kopano-backup, im on debian 10 and kopano-server 10.0.3.41.515f6ef2c-0+29.2


  • Ok, sorry, so i can’t help. Look likes an incompatibility with Debian 10. I use Kopano only on UCS. Is Kopano ready to install on debian 10?


  • Im using on debian 10 from long time ago :)
    Tank a lot sir.

  • Kopano

    Hi @linuxmafia,
    not sure about the error but perhaps it is best to update to latest Kopano Version first.

    maybe there was an issue which is already fixed. In a quick test i was not able to reproduce this issue in my Debian 10 setup running KC 10.0.6.

    greets
    Mathias


  • For update i need first backup of attachments :) atm i have only database.

  • Kopano

    you should always have a backup - not only before the update.


  • Yes sir but i made backup with kopano-backup and atm not work, i have a backup 2/3 days old.